<!-- HTML for static distribution bundle build -->
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <title>Swagger UI</title>
        <link href="https://fonts.googleapis.com/css?family=Open+Sans:400,700|Source+Code+Pro:300,600|Titillium+Web:400,600,700" rel="stylesheet">
        <script src="/scripts/iframeResizer.contentWindow.js" type="text/javascript"></script>
        <script src="/swagger-ui/lib/jquery-1.8.0.min.js" type="text/javascript"></script>
        <link rel="stylesheet" type="text/css" href="/swagger-ui/swagger-ui.css" />
        <link rel="icon" type="image/png" href="./favicon-32x32.png" sizes="32x32" />
        <link rel="icon" type="image/png" href="./favicon-16x16.png" sizes="16x16" />
        <style>
         html
         {
             box-sizing: border-box;
             overflow: -moz-scrollbars-vertical;
             overflow-y: scroll;
         }
         *,
         *:before,
         *:after
         {
             box-sizing: inherit;
         }

         body {
             margin:0;
             background: #fafafa;
         }
        </style>
        <link rel="stylesheet" type="text/css" href="/swagger-ui/theme-material.css" />

    </head>

    <body class="swagger-section">

        <div id="swagger-ui"></div>

        <script src="/swagger-ui/swagger-ui-bundle.js"> </script>
        <script src="/swagger-ui/swagger-ui-standalone-preset.js"> </script>
        <script>

         window.onload = function() {

             if (parent.shortcode_url) {
                 url = parent.shortcode_url;
             } else {
                 url = "https://fifo.cloud/api/v1/swagger/fifo.json";
             }

             // Build a system
             const ui = SwaggerUIBundle({
                 url: url,
                 dom_id: '#swagger-ui',
                 deepLinking: true,
                 presets: [
                     SwaggerUIBundle.presets.apis,
                     //     SwaggerUIStandalonePreset,
                     //     SwaggerUIStandalonePreset.slice(1)
                 ],
                 plugins: [
                     //SwaggerUIBundle.plugins.DownloadUrl
                 ],
                 //    layout: "StandaloneLayout"
             })

             window.ui = ui
         }
         /*
            $('#input_apiKey').change(function() {
            var key = $('#input_apiKey')[0].value;
            if(key && key.trim() != "") {
            ui.api.clientAuthorizations.add("auth_name", new SwaggerClient.ApiKeyAuthorization("api_key", key, "header"));
            }
            })
          */
        </script>
    </body>

</html>
